"use strict";

var elencoPizze = new Array();
elencoPizze = [
    {
        "nomePizza" : "Diavola",
        "nomePizzeria" : "Amici Nostri",
        "imgUrl" : "images/amici-nostri-diavola.jpg"
    },
    {
        "nomePizza" : "Margherita",
        "nomePizzeria" : "Amici Nostri",
        "imgUrl" : "images/amici-nostri-margherita.jpg"
    },
    {
        "nomePizza" : "Margherita (integrale)",
        "nomePizzeria" : "Amici Nostri",
        "imgUrl" : "images/amici-nostri-margherita-integrale.jpg"
    },
    {
        "nomePizza" : "Margherita",
        "nomePizzeria" : "Occupy",
        "imgUrl" : "images/occupy-margherita.jpg"
    },
    {
        "nomePizza" : "Salame piccante",
        "nomePizzeria" : "Occupy",
        "imgUrl" : "images/occupy-salame-piccante.jpg"
    }
];


function stampaPizze()
{
    for (var i in elencoPizze) {
        var pizza = elencoPizze[i];
        aggiungiPizzaLi(pizza["nomePizza"], pizza["nomePizzeria"], pizza["imgUrl"], pizza["nomePizza"] + " di " + pizza["nomePizzeria"]);
    }
}


function aggiungiPizzaLi(nomePizza, nomePizzeria, imgUrl, imgAlt)
{
    var pizzaList = document.getElementById("pizza-list");
    if (typeof imgUrl == 'undefined' || imgUrl =='') {
        // randomly choose an image from the existing one

        var random = Math.floor(Math.random() * elencoPizze.length);
        var newPizzaRandom = elencoPizze[random];
        imgUrl = newPizzaRandom["imgUrl"];
        imgAlt = "Una pizza qualunque";
    }
    var newLi = document.createElement("li");
    newLi.className = "media";

    // SUGGERIMENTI PER LO STILE
    // la foto della pizza ha come classe CSS "media-object", mentre il div che la contiene ha "media-left"

    // il div che contiene il nome della pizza e della pizzeria ha come classe CSS "media-body", mentre
    // il titolo che presenta il nome della pizza ha "media-heading"



    var new_hr_item = document.createElement("hr");
    newLi.appendChild(new_hr_item);
    pizzaList.appendChild(newLi);
}


function aggiungiPizza()
{
    var pizza = document.getElementById("pizza");

    var pizzeria = document.getElementById("pizzeria");
    var newPizza = pizza.value;
    var newPizzeria = pizzeria.value;
    if (newPizza!=='' && newPizzeria!=='') {
        aggiungiPizzaLi(newPizza, newPizzeria);
    }
    else
    {
        alert("Uno dei campi richiesti è vuoto!");
    }
}

window.onload = function()
{
    stampaPizze();
};